Skip to content

Check whether the current authenticated customer has pending comments on a content item

GET
/cms/content/{id}/comments/pending
curl --request GET \
--url https://api.example.com/cms/content/example/comments/pending \
--header 'API-Key: <API-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Token: <Token>'
id
required
string

Content ID or slug

Pending comments status for the current customer

Media typeapplication/json
object
has_pending_comments

Whether the current customer has pending comments on this content

boolean
count

Number of pending comments by the current customer on this content

integer
data

The pending comments themselves

Array<object>
ArticleComment

API representation of an article comment

object
id

Comment ID

string
signature

Signature

string
status

Status

string
admin

Admin flag

integer
itemid

Content ID (numeric string)

string
itemurl

Content URL

string
itemtitle

Content Title

string
postername

Poster name

string
posteremail

Poster email (masked for privacy)

string
posterimage

Poster image

string
poster_id

Poster ID

timestamp

Timestamp

string
comment

Comment

string
likes

Likes (numeric string)

string
dislikes

Dislikes (numeric string)

string
replies
Array<object> recursive
file

File

string
file_type

File type

string
file_duration

File duration

lastEdited

Last edited

string
nullable
metadata

Metadata; an empty array when there is none

One of:
object
rating

Rating given by the user

integer format: int32
nullable

Example

{
"data": [
{
"itemid": "1644681",
"likes": "0",
"dislikes": "0"
}
]
}

Unauthorized

Content not found